## openal-soft 1.24.2

=== CMakeLists.txt ===
# CMake build file list for OpenAL

cmake_minimum_required(VERSION 3.13)
enable_testing()

if(APPLE)
    # The workaround for try_compile failing with code signing
    # since cmake-3.18.2, not required
    set(CMAKE_TRY_COMPILE_PLATFORM_VARIABLES
        ${CMAKE_TRY_COMPILE_PLATFORM_VARIABLES}
        "CMAKE_XCODE_ATTRIBUTE_CODE_SIGNING_REQUIRED"
        "CMAKE_XCODE_ATTRIBUTE_CODE_SIGNING_ALLOWED")
    set(CMAKE_XCODE_ATTRIBUTE_CODE_SIGNING_REQUIRED NO)
    set(CMAKE_XCODE_ATTRIBUTE_CODE_SIGNING_ALLOWED NO)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "iOS")
    # Fix compile failure with armv7 deployment target >= 11.0, xcode clang
    # will report:
    # error: invalid iOS deployment version '--target=armv7-apple-ios13.6',
    # iOS 10 is the maximum deployment target for 32-bit targets
    # If CMAKE_OSX_DEPLOYMENT_TARGET is not defined, cmake will choose latest
    # deployment target
    if("${CMAKE_OSX_ARCHITECTURES}" MATCHES ".*armv7.*")
        if(NOT DEFINED CMAKE_OSX_DEPLOYMENT_TARGET
            OR NOT CMAKE_OSX_DEPLOYMENT_TARGET VERSION_LESS "11.0")
            message(STATUS "Forcing iOS deployment target to 10.0 for armv7")
            set(CMAKE_OSX_DEPLOYMENT_TARGET "10.0" CACHE STRING "Minimum OS X deployment version"
                FORCE)
        endif()
    endif()
elseif(CMAKE_SYSTEM_NAME STREQUAL "WindowsStore")
    set(ALSOFT_UWP TRUE)
endif()

if(COMMAND CMAKE_POLICY)
    cmake_policy(SET CMP0003 NEW)
    cmake_policy(SET CMP0005 NEW)
    if(POLICY CMP0020)
        cmake_policy(SET CMP0020 NEW)
    endif(POLICY CMP0020)
    if(POLICY CMP0042)
        cmake_policy(SET CMP0042 NEW)
    endif(POLICY CMP0042)
    if(POLICY CMP0054)
        cmake_policy(SET CMP0054 NEW)
    endif(POLICY CMP0054)
    if(POLICY CMP0058)
        cmake_policy(SET CMP0058 NEW)
    endif(POLICY CMP0058)
    if(POLICY CMP0063)
        cmake_policy(SET CMP0063 NEW)
    endif(POLICY CMP0063)
    if(POLICY CMP0075)
        cmake_policy(SET CMP0075 NEW)
    endif(POLICY CMP0075)
    if(POLICY CMP0092)
        cmake_policy(SET CMP0092 NEW)
    endif(POLICY CMP0092)
    if(POLICY CMP0117)
        cmake_policy(SET CMP0117 NEW)
    endif(POLICY CMP0117)
endif(COMMAND CMAKE_POLICY)

project(OpenAL)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
        "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel."
        FORCE)
endif()
if(NOT CMAKE_DEBUG_POSTFIX)
    set(CMAKE_DEBUG_POSTFIX "" CACHE STRING
        "Library postfix for debug builds. Normally left blank."
        FORCE)
endif()

set(ALSOFT_STD_VERSION_PROPS
    # Require C++17.
    CXX_STANDARD 17
    CXX_STANDARD_REQUIRED TRUE
    # Prefer C17, but support earlier when necessary.
    C_STANDARD 17)

set(CMAKE_MODULE_PATH "${OpenAL_SOURCE_DIR}/cmake")

include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)
include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
include(CheckCSourceCompiles)
include(CheckCXXSourceCompiles)
include(CheckStructHasMember)
include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

find_package(PkgConfig)
find_package(SDL3 QUIET)

add_subdirectory(fmt-11.1.1 EXCLUDE_FROM_ALL)

option(ALSOFT_DLOPEN  "Check for the dlopen API for loading optional libs"  ON)

option(ALSOFT_WERROR  "Treat compile warnings as errors"      OFF)

option(ALSOFT_UTILS "Build utility programs"  ON)
option(ALSOFT_NO_CONFIG_UTIL "Disable building the alsoft-config utility" OFF)

option(ALSOFT_EXAMPLES  "Build example programs"  ON)
option(ALSOFT_TESTS "Build test programs"  OFF)

option(ALSOFT_INSTALL "Install main library" ON)
option(ALSOFT_INSTALL_CONFIG "Install alsoft.conf sample configuration file" ON)
option(ALSOFT_INSTALL_HRTF_DATA "Install HRTF data files" ON)
option(ALSOFT_INSTALL_AMBDEC_PRESETS "Install AmbDec preset files" ON)
option(ALSOFT_INSTALL_EXAMPLES "Install example programs (alplay, alstream, ...)" ON)
option(ALSOFT_INSTALL_UTILS "Install utility programs (openal-info, alsoft-config, ...)" ON)
option(ALSOFT_UPDATE_BUILD_VERSION "Update git build version info" ON)

option(ALSOFT_EAX "Enable legacy EAX extensions" ${WIN32})

option(ALSOFT_SEARCH_INSTALL_DATADIR "Search the installation data directory" OFF)
if(ALSOFT_SEARCH_INSTALL_DATADIR)
    set(ALSOFT_INSTALL_DATADIR ${CMAKE_INSTALL_FULL_DATADIR})
endif()

if(DEFINED SHARE_INSTALL_DIR)
    message(WARNING "SHARE_INSTALL_DIR is deprecated.  Use the variables provided by the GNUInstallDirs module instead")
    set(CMAKE_INSTALL_DATADIR "${SHARE_INSTALL_DIR}")
endif()

if(DEFINED LIB_SUFFIX)
    message(WARNING "LIB_SUFFIX is deprecated.  Use the variables provided by the GNUInstallDirs module instead")
endif()
if(DEFINED ALSOFT_CONFIG)
    message(WARNING "ALSOFT_CONFIG is deprecated. Use ALSOFT_INSTALL_CONFIG instead")
endif()
if(DEFINED ALSOFT_HRTF_DEFS)
    message(WARNING "ALSOFT_HRTF_DEFS is deprecated. Use ALSOFT_INSTALL_HRTF_DATA instead")
endif()
if(DEFINED ALSOFT_AMBDEC_PRESETS)
    message(WARNING "ALSOFT_AMBDEC_PRESETS is deprecated. Use ALSOFT_INSTALL_AMBDEC_PRESETS instead")
endif()


set(CPP_DEFS ) # C pre-processor, not C++
set(INC_PATHS )
set(C_FLAGS )
set(LINKER_FLAGS )
set(LINKER_FLAGS_DEBUG )
set(LINKER_FLAGS_RELEASE )
set(EXTRA_LIBS )

if(WIN32)
    set(CPP_DEFS ${CPP_DEFS} _WIN32 NOMINMAX)
    if(MINGW)
        set(CPP_DEFS ${CPP_DEFS} __USE_MINGW_ANSI_STDIO)
    endif()

    option(ALSOFT_BUILD_ROUTER  "Build the router (EXPERIMENTAL; creates OpenAL32.dll and soft_oal.dll)"  OFF)
    if(MINGW)
        option(ALSOFT_BUILD_IMPORT_LIB "Build an import .lib using dlltool (requires sed)" ON)
    endif()
elseif(APPLE)
    option(ALSOFT_OSX_FRAMEWORK "Build as macOS framework" OFF)
endif()


# QNX's gcc do not uses /usr/include and /usr/lib paths by default
if("${CMAKE_C_PLATFORM_ID}" STREQUAL "QNX")
    set(INC_PATHS ${INC_PATHS} /usr/include)
    set(LINKER_FLAGS ${LINKER_FLAGS} -L/usr/lib)
endif()

# When the library is built for static linking, apps should define
# AL_LIBTYPE_STATIC when including the AL headers.
if(NOT LIBTYPE)
    set(LIBTYPE SHARED)
endif()

set(LIB_MAJOR_VERSION "1")
set(LIB_MINOR_VERSION "24")
set(LIB_REVISION "2")
set(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_REVISION}")
set(LIB_VERSION_NUM ${LIB_MAJOR_VERSION},${LIB_MINOR_VERSION},${LIB_REVISION},0)

set(EXPORT_DECL "")


# Some systems erroneously require the __STDC_FORMAT_MACROS macro to be defined
# to get the fixed-width integer type formatter macros.
check_cxx_source_compiles("#include <cinttypes>
#include <cstdio>
int main()
{
    int64_t i64{};
    std::printf(\"%\" PRId64, i64);
}"
HAVE_STDC_FORMAT_MACROS)
if(NOT HAVE_STDC_FORMAT_MACROS)
    set(CPP_DEFS ${CPP_DEFS} __STDC_FORMAT_MACROS)
endif()

# Some systems may need libatomic for atomic functions to work
set(OLD_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES})
set(CMAKE_REQUIRED_LIBRARIES ${OLD_REQUIRED_LIBRARIES} atomic)
check_cxx_source_compiles("#include <atomic>
std::atomic<int> foo{0};
int main() { return foo.fetch_add(2); }"
HAVE_LIBATOMIC)
if(NOT HAVE_LIBATOMIC)
    set(CMAKE_REQUIRED_LIBRARIES "${OLD_REQUIRED_LIBRARIES}")
else()
    set(EXTRA_LIBS atomic ${EXTRA_LIBS})
endif()
unset(OLD_REQUIRED_LIBRARIES)

if(ANDROID)
    # Include liblog for Android logging
    check_library_exists(log __android_log_print "" HAVE_LIBLOG)
    if(HAVE_LIBLOG)
        set(EXTRA_LIBS log ${EXTRA_LIBS})
        set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} log)
    endif()
endif()

if(MSVC)
    # NOTE: _DISABLE_CONSTEXPR_MUTEX_CONSTRUCTOR is temporary. When building on
    # VS 2022 17.10 or newer, but using an older runtime, mutexes can crash
    # when locked. Ideally the runtime should be updated on the system, but
    # until the update becomes more widespread, this helps avoid some pain
    # points.
    set(CPP_DEFS ${CPP_DEFS} _CRT_SECURE_NO_WARNINGS _DISABLE_CONSTEXPR_MUTEX_CONSTRUCTOR)
    check_cxx_compiler_flag(/permissive- HAVE_PERMISSIVE_SWITCH)
    if(HAVE_PERMISSIVE_SWITCH)
        set(C_FLAGS ${C_FLAGS} $<$<COMPILE_LANGUAGE:CXX>:/permissive->)
    endif()
    set(C_FLAGS ${C_FLAGS} /W4 /w14640 /wd4065 /wd4127 /wd4268 /wd4324 /wd5030 /wd5051
        $<$<COMPILE_LANGUAGE:CXX>:/EHsc> /utf-8)

    if(NOT DXSDK_DIR)
        string(REGEX REPLACE "\\\\" "/" DXSDK_DIR "$ENV{DXSDK_DIR}")
    else()
        string(REGEX REPLACE "\\\\" "/" DXSDK_DIR "${DXSDK_DIR}")
    endif()
    if(DXSDK_DIR)
        message(STATUS "Using DirectX SDK directory: ${DXSDK_DIR}")
    endif()

    option(FORCE_STATIC_VCRT "Force /MT for static VC runtimes" OFF)
    if(FORCE_STATIC_VCRT)
        foreach(flag_var
                CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
                CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO
                CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
                CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
            if(${flag_var} MATCHES "/MD")
                string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
            endif()
        endforeach(flag_var)
    endif()
else()
    set(C_FLAGS ${C_FLAGS} -Winline -Wunused -Wall -Wextra -Wshadow -Wconversion -Wcast-align
        -Wpedantic
        $<$<COMPILE_LANGUAGE:CXX>:-Wold-style-cast -Wnon-virtual-dtor -Woverloaded-virtual>)

    check_cxx_compiler_flag(-Wno-c++20-attribute-extensions HAVE_WNO_CXX20_ATTR_EXT)
    if(HAVE_WNO_CXX20_ATTR_EXT)
        set(C_FLAGS ${C_FLAGS} $<$<COMPILE_LANGUAGE:CXX>:-Wno-c++20-attribute-extensions>)
    else()
        check_cxx_compiler_flag(-Wno-c++20-extensions HAVE_WNO_CXX20_EXT)
        if(HAVE_WNO_CXX20_EXT)
            set(C_FLAGS ${C_FLAGS} $<$<COMPILE_LANGUAGE:CXX>:-Wno-c++20-extensions>)
        endif()
    endif()

    check_cxx_compiler_flag(-Wno-interference-size HAVE_WNO_INTERFERENCE_SIZE)
    if(HAVE_WNO_INTERFERENCE_SIZE)
        set(C_FLAGS ${C_FLAGS} $<$<COMPILE_LANGUAGE:CXX>:-Wno-interference-size>)
    endif()

    if(ALSOFT_WERROR)
        set(C_FLAGS ${C_FLAGS} -Werror)
    else()
        set(C_FLAGS ${C_FLAGS} -Werror=undef)
    endif()

    # NOTE: This essentially provides the equivalent of the C++26 feature to
    # initialize all local variables with a non-0 bit pattern. Until C++26 is
    # adopted, the [[gnu::uninitialized]] attribute will avoid the auto-
    # initialization where necessary.
    check_c_compiler_flag(-ftrivial-auto-var-init=pattern HAVE_FTRIVIAL_AUTO_VAR_INIT)
    if(HAVE_FTRIVIAL_AUTO_VAR_INIT)
        set(C_FLAGS ${C_FLAGS} -ftrivial-auto-var-init=pattern)
    endif()

    check_c_compiler_flag(-fno-math-errno HAVE_FNO_MATH_ERRNO)
    if(HAVE_FNO_MATH_ERRNO)
        set(C_FLAGS ${C_FLAGS} -fno-math-errno)
    endif()

    option(ALSOFT_STATIC_LIBGCC "Force -static-libgcc for static GCC runtimes" OFF)
    if(ALSOFT_STATIC_LIBGCC)
        set(OLD_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES})
        set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} -static-libgcc)
        check_cxx_source_compiles("int main() { }" HAVE_STATIC_LIBGCC_SWITCH)
        set(CMAKE_REQUIRED_LIBRARIES ${OLD_REQUIRED_LIBRARIES})
        unset(OLD_REQUIRED_LIBRARIES)

        if(NOT HAVE_STATIC_LIBGCC_SWITCH)
            message(FATAL_ERROR "Cannot static link libgcc")
        endif()
        set(LINKER_FLAGS ${LINKER_FLAGS} -static-libgcc)
    endif()

    option(ALSOFT_STATIC_STDCXX "Static link libstdc++" OFF)
    if(ALSOFT_STATIC_STDCXX)
        set(OLD_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES})
        set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} "-static-libstdc++")
        check_cxx_source_compiles("int main() { }" HAVE_STATIC_LIBSTDCXX_SWITCH)
        set(CMAKE_REQUIRED_LIBRARIES ${OLD_REQUIRED_LIBRARIES})
        unset(OLD_REQUIRED_LIBRARIES)

        if(NOT HAVE_STATIC_LIBSTDCXX_SWITCH)
            message(FATAL_ERROR "Cannot static link libstdc++")
        endif()

=== fmt-11.1.1/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8...3.28)

# [CR] Heavily modified for OpenAL Soft to avoid clashes if used as a sub-
# project with other uses of fmt.

# Fallback for using newer policies on CMake <3.12.
if (${CMAKE_VERSION} VERSION_LESS 3.12)
  cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
endif ()

# Joins arguments and places the results in ${result_var}.
function(join result_var)
  set(result "")
  foreach (arg ${ARGN})
    set(result "${result}${arg}")
  endforeach ()
  set(${result_var} "${result}" PARENT_SCOPE)
endfunction()

include(CMakeParseArguments)

project(ALSOFT_FMT CXX)

# Get version from base.h
file(READ include/fmt/base.h base_h)
if (NOT base_h MATCHES "FMT_VERSION ([0-9]+)([0-9][0-9])([0-9][0-9])")
  message(FATAL_ERROR "Cannot get FMT_VERSION from base.h.")
endif ()
# Use math to skip leading zeros if any.
math(EXPR CPACK_PACKAGE_VERSION_MAJOR ${CMAKE_MATCH_1})
math(EXPR CPACK_PACKAGE_VERSION_MINOR ${CMAKE_MATCH_2})
math(EXPR CPACK_PACKAGE_VERSION_PATCH ${CMAKE_MATCH_3})
join(FMT_VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.
                 ${CPACK_PACKAGE_VERSION_PATCH})
message(STATUS "{fmt} version: ${FMT_VERSION}")

message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
  "${CMAKE_CURRENT_SOURCE_DIR}/support/cmake")

include(CheckCXXCompilerFlag)
include(JoinPaths)

function(add_headers VAR)
  set(headers ${${VAR}})
  foreach (header ${ARGN})
    set(headers ${headers} include/fmt/${header})
  endforeach()
  set(${VAR} ${headers} PARENT_SCOPE)
endfunction()

set(ALSOFT_FMT_DEBUG_POSTFIX d CACHE STRING "Debug library postfix.")

# Define the fmt library, its includes and the needed defines.
add_headers(FMT_HEADERS args.h base.h chrono.h color.h compile.h core.h format.h
                        format-inl.h os.h ostream.h printf.h ranges.h std.h
                        xchar.h)
set(FMT_SOURCES src/format.cc src/os.cc)

add_library(alsoft.fmt OBJECT ${FMT_SOURCES} ${FMT_HEADERS} README.md ChangeLog.md)
add_library(alsoft::fmt ALIAS alsoft.fmt)

if (cxx_std_11 IN_LIST CMAKE_CXX_COMPILE_FEATURES)
  target_compile_features(alsoft.fmt PUBLIC cxx_std_11)
else ()
  message(WARNING "Feature cxx_std_11 is unknown for the CXX compiler")
endif ()

target_include_directories(alsoft.fmt PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>)

set_target_properties(alsoft.fmt PROPERTIES ${ALSOFT_STD_VERSION_PROPS}
  VERSION ${FMT_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR}
  DEBUG_POSTFIX "${ALSOFT_FMT_DEBUG_POSTFIX}"
  POSITION_INDEPENDENT_CODE TRUE
  C_VISIBILITY_PRESET hidden
  CXX_VISIBILITY_PRESET hidden
  EXCLUDE_FROM_ALL TRUE)

if (MSVC)
  # Unicode support requires compiling with /utf-8.
  target_compile_options(alsoft.fmt PUBLIC $<$<COMPILE_LANGUAGE:CXX>:/utf-8>)
endif ()

=== debian/changelog ===
openal-soft (1:1.24.2-2) unstable; urgency=medium

  * Team upload.
  * Review of d/copyright
  * Remove leftover CDBS rule

 -- Alexandre Detiste <tchet@debian.org>  Fri, 01 Aug 2025 18:46:48 +0200

openal-soft (1:1.24.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.24.2

 -- Fabian Greffrath <fabian@debian.org>  Fri, 17 Jan 2025 10:58:19 +0100

openal-soft (1:1.24.1-2) unstable; urgency=medium

  * Team upload
  * Also disable SIMD code on i386 for the embedded pffft library

 -- Fabian Greffrath <fabian@debian.org>  Thu, 28 Nov 2024 12:13:06 +0100

openal-soft (1:1.24.1-1) unstable; urgency=medium

  * Team upload
  * Fix baseline violation on i386 (Closes: #995194)
  * New upstream version 1.24.1
  * Remove patches

 -- Fabian Greffrath <fabian@debian.org>  Thu, 28 Nov 2024 11:31:49 +0100

openal-soft (1:1.24.0-4) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Limit pipewire support only to Linux architectures

 -- Fabian Greffrath <fabian@debian.org>  Sat, 23 Nov 2024 23:26:17 +0100

openal-soft (1:1.24.0-3) unstable; urgency=medium

  * Team upload
  * Cherry-pick patch from upstream to check that AltiVec is enabled
    before using it (Closes: #1087831)
  * Cherry-pick patch from upstream to use separate 32-bit second and
    nanosecond atomics for the clock (Closes: #1087824)

 -- Fabian Greffrath <fabian@debian.org>  Fri, 22 Nov 2024 08:38:41 +0100

openal-soft (1:1.24.0-2) unstable; urgency=medium

  * Team upload
  * Cherry-pick patch to fix ppc64el build (Closes: #1087828)
  * Add debian/upstream/metadata

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 11:38:25 -0500

openal-soft (1:1.24.0-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * remove retired uploader Gonéri Le Bouder

  [ Fabian Greffrath ]
  * New upstream version 1.24.0

 -- Fabian Greffrath <fabian@debian.org>  Mon, 18 Nov 2024 20:14:53 +0100

=== debian/control ===
Source: openal-soft
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bruno "Fuddl" Kleinert <fuddl@tauware.de>,
 Reinhard Tartler <siretart@tauware.de>,
 Bret Curtis <psi29a@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libasound2-dev [linux-any],
 libdbus-1-dev [linux-any],
 libmysofa-dev,
 libpipewire-0.3-dev [linux-any],
 libpulse-dev,
 libsndio-dev,
 portaudio19-dev,
Standards-Version: 4.7.2
Section: libs
Vcs-Git: https://salsa.debian.org/games-team/openal-soft.git
Vcs-Browser: https://salsa.debian.org/games-team/openal-soft
Homepage: https://github.com/kcat/openal-soft
Rules-Requires-Root: no
X-Style: black

Package: libopenal-dev
Multi-Arch: same
Section: libdevel
Architecture: any
Depends:
 libopenal1 (= ${binary:Version}),
 ${misc:Depends},
Description: Software implementation of the OpenAL audio API (development files)
 OpenAL, the Open Audio Library, is a joint effort to create an open,
 vendor-neutral, cross-platform API for interactive, primarily spatialized
 audio. OpenAL's primary audience are application developers and desktop
 users that rely on portable standards like OpenGL, for games and other
 multimedia applications.
 .
 This package contains the files necessary for development with OpenAL .

Package: libopenal1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libopenal-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${shlibs:Recommends},
Suggests:
 ${shlibs:Suggests},
Description: Software implementation of the OpenAL audio API (shared library)
 OpenAL, the Open Audio Library, is a joint effort to create an open,
 vendor-neutral, cross-platform API for interactive, primarily spatialized
 audio. OpenAL's primary audience are application developers and desktop
 users that rely on portable standards like OpenGL, for games and other
 multimedia applications.
 .
 This library is meant as a compatible update/replacement to the OpenAL Sample
 Implementation (the SI). The SI has been unmaintained for quite a while, and
 would require a lot of work to clean up. This is a fork the old Windows version
 to attempt an accelerated ALSA version of an OpenAL implementation.
 .
 OpenAL Soft supports mono, stereo, 4-channel, 5.1, 6.1, and 7.1 output, as
 opposed to the SI's 4-channel max (though it did have some provisions for 6
 channel, this was not 5.1, and was seemingly a "late" addition). OpenAL Soft
 does not support the Vorbis and MP3 extensions, however those were considered
 deprecated even in the SI. It does, though, support some of the newer
 extensions like AL_EXT_FLOAT32 and AL_EXT_MCFORMATS for multi-channel and
 floating-point formats, as well as ALC_EXT_EFX for environmental audio effects,
 and others.
 .
 This package installs the OpenAL Soft shared library.

Package: openal-tools
Multi-Arch: allowed
Section: sound
Architecture: any
Breaks:
 libopenal-dev-bin (<< 1:1.15.1-5~),
 makemhr (<< 1:1.23.1-1~),
 openal-info (<< 1:1.23.1-1~),
Replaces:
 libopenal-dev-bin (<< 1:1.15.1-5~),
 makemhr (<< 1:1.23.1-1~),
 openal-info (<< 1:1.23.1-1~),
Depends:
 libopenal1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Utilities for the OpenAL audio API
 These utilities are useful in diagnosing OpenAL related issues and for
 displaying helpful informationa about what is supported on your system
 with OpenAL.
 .
 This package installs additional OpenAL Soft related binaries.

Package: libopenal-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Replaces:
 libopenal1 (<< 1:1.14-5),
Breaks:
 libopenal1 (<< 1:1.14-5),
Description: Software implementation of the OpenAL audio API (data files)
 OpenAL, the Open Audio Library, is a joint effort to create an open,
 vendor-neutral, cross-platform API for interactive, primarily spatialized
 audio. OpenAL's primary audience are application developers and desktop
 users that rely on portable standards like OpenGL, for games and other
 multimedia applications.
 .
 This package installs data files used by the OpenAL Soft shared library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment to view all compilation commands and fix W-compiler-flags-hidden
export VERBOSE=1

# Add hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#CMake silently ignores CPPFLAGS. Below will properly set CFLAGS/CXXFLAGS
#https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) -fcommon
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
	CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

# Use this variable to allow options passed to cmake to be overridable
DEB_CMAKE_OPTIONS ?= -DCMAKE_VERBOSE_MAKEFILE=ON \
		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DEXAMPLES=OFF \
		..

ifeq ($(DEB_HOST_ARCH_CPU),i386)
DEB_CMAKE_OPTIONS += -DALSOFT_CPUEXT_SSE=OFF
export DEB_CPPFLAGS_MAINT_APPEND += -DPFFFT_SIMD_DISABLE
endif

BUILD_TREE=$(CURDIR)/build-tree

DLOPENED_RECOMMENDS_LIBS = -lpulse
ifeq ($(DEB_HOST_ARCH_OS),linux)
DLOPENED_RECOMMENDS_LIBS += -lasound
endif
DLOPENED_SUGGESTS_LIBS = -lportaudio -lsndio

.PHONY: build
# This looks redundant with the implicit rule for %, but it isn't: .PHONY
# is ignored for implicit rules, so we need a separate rule for build.
build:
	dh $@ --builddirectory=$(BUILD_TREE)
%:
	dh $@ --builddirectory=$(BUILD_TREE)

override_dh_auto_clean:
	rm -rf $(BUILD_TREE)

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_OPTIONS)

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_install:
	dh_auto_install
	install -d debian/tmp/etc/openal
	install -m644 \
		debian/tmp/usr/share/openal/alsoftrc.sample \
		debian/tmp/etc/openal/alsoft.conf

override_dh_missing:
	dh_missing --list-missing

override_dh_shlibdeps: debian/tmp/openal-soft-Recommends-dummy.so debian/tmp/openal-soft-Suggests-dummy.so
	dh_shlibdeps -O--parallel
	# Need to manually add dependencies for dlopened libs.
	dpkg-shlibdeps -dRecommends -edebian/tmp/openal-soft-Recommends-dummy.so -xlibc6 -O >>debian/libopenal1.substvars
	dpkg-shlibdeps -dSuggests -edebian/tmp/openal-soft-Suggests-dummy.so -xlibc6 -O >>debian/libopenal1.substvars

debian/tmp/openal-soft-Recommends-dummy.so:
	mkdir -p debian/tmp
	$(CC) -xc -shared -Wl,--no-as-needed -o $@ /dev/null $(DLOPENED_RECOMMENDS_LIBS)

debian/tmp/openal-soft-Suggests-dummy.so:
	mkdir -p debian/tmp
	$(CC) -xc -shared -Wl,--no-as-needed -o $@ /dev/null $(DLOPENED_SUGGESTS_LIBS)

=== debian/watch ===
version=4
https://github.com/kcat/openal-soft/tags \
https://github.com/kcat/openal-soft/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@

## openal-soft 1.25.0

=== CMakeLists.txt ===
# CMake build file list for OpenAL

cmake_minimum_required(VERSION 3.13...3.31)
enable_testing()

if(APPLE)
    # The workaround for try_compile failing with code signing
    # since cmake-3.18.2, not required
    set(CMAKE_TRY_COMPILE_PLATFORM_VARIABLES
        ${CMAKE_TRY_COMPILE_PLATFORM_VARIABLES}
        "CMAKE_XCODE_ATTRIBUTE_CODE_SIGNING_REQUIRED"
        "CMAKE_XCODE_ATTRIBUTE_CODE_SIGNING_ALLOWED")
    set(CMAKE_XCODE_ATTRIBUTE_CODE_SIGNING_REQUIRED NO)
    set(CMAKE_XCODE_ATTRIBUTE_CODE_SIGNING_ALLOWED NO)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "iOS")
    # Fix compile failure with armv7 deployment target >= 11.0, xcode clang
    # will report:
    # error: invalid iOS deployment version '--target=armv7-apple-ios13.6',
    # iOS 10 is the maximum deployment target for 32-bit targets
    # If CMAKE_OSX_DEPLOYMENT_TARGET is not defined, cmake will choose latest
    # deployment target
    if("${CMAKE_OSX_ARCHITECTURES}" MATCHES ".*armv7.*")
        if(NOT DEFINED CMAKE_OSX_DEPLOYMENT_TARGET
            OR NOT CMAKE_OSX_DEPLOYMENT_TARGET VERSION_LESS "11.0")
            message(STATUS "Forcing iOS deployment target to 10.0 for armv7")
            set(CMAKE_OSX_DEPLOYMENT_TARGET "10.0" CACHE STRING "Minimum OS X deployment version"
                FORCE)
        endif()
    endif()
elseif(CMAKE_SYSTEM_NAME STREQUAL "WindowsStore")
    set(ALSOFT_UWP TRUE)
endif()

# Don't mistake macOS for unix
if(UNIX AND NOT ANDROID AND NOT APPLE AND NOT RISCOS AND NOT HAIKU)
  set(UNIX_ELF ON)
else()
  set(UNIX_ELF OFF)
endif()

project(OpenAL
    VERSION 1.25.0
    LANGUAGES C CXX)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
        "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel."
        FORCE)
endif()
if(NOT CMAKE_DEBUG_POSTFIX)
    set(CMAKE_DEBUG_POSTFIX "" CACHE STRING
        "Library postfix for debug builds. Normally left blank."
        FORCE)
endif()

set(ALSOFT_STD_VERSION_PROPS
    # Require C++20.
    CXX_STANDARD 20
    CXX_STANDARD_REQUIRED TRUE
    # Prefer C17, but support earlier when necessary.
    C_STANDARD 17)

set(CMAKE_MODULE_PATH "${OpenAL_SOURCE_DIR}/cmake")

include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)
include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
include(CheckCSourceCompiles)
include(CheckCXXSourceCompiles)
include(CheckCXXSymbolExists)
include(CheckLinkerFlag)
include(CheckStructHasMember)
include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

find_package(PkgConfig)
find_package(SDL3 QUIET)

option(ALSOFT_DLOPEN  "Check for the dlopen API for loading optional libs"  ON)
option(ALSOFT_DLOPEN_NOTES  "Record dlopen dependencies in .note.dlopen section"  ${UNIX_ELF})

option(ALSOFT_WERROR  "Treat compile warnings as errors"      OFF)

option(ALSOFT_UTILS "Build utility programs"  ON)
option(ALSOFT_NO_CONFIG_UTIL "Disable building the alsoft-config utility" OFF)

option(ALSOFT_EXAMPLES  "Build example programs"  ON)
option(ALSOFT_TESTS "Build test programs"  OFF)

option(ALSOFT_INSTALL "Install main library" ON)
option(ALSOFT_INSTALL_CONFIG "Install alsoft.conf sample configuration file" ON)
option(ALSOFT_INSTALL_HRTF_DATA "Install HRTF data files" ON)
option(ALSOFT_INSTALL_AMBDEC_PRESETS "Install AmbDec preset files" ON)
option(ALSOFT_INSTALL_EXAMPLES "Install example programs (alplay, alstream, ...)" ON)
option(ALSOFT_INSTALL_UTILS "Install utility programs (openal-info, alsoft-config, ...)" ON)
option(ALSOFT_UPDATE_BUILD_VERSION "Update git build version info" ON)

option(ALSOFT_EAX "Enable legacy EAX extensions" ${WIN32})

option(ALSOFT_SEARCH_INSTALL_DATADIR "Search the installation data directory" OFF)
if(ALSOFT_SEARCH_INSTALL_DATADIR)
    set(ALSOFT_INSTALL_DATADIR ${CMAKE_INSTALL_FULL_DATADIR})
endif()

if(DEFINED SHARE_INSTALL_DIR)
    message(WARNING "SHARE_INSTALL_DIR is deprecated.  Use the variables provided by the GNUInstallDirs module instead")
    set(CMAKE_INSTALL_DATADIR "${SHARE_INSTALL_DIR}")
endif()

if(DEFINED LIB_SUFFIX)
    message(WARNING "LIB_SUFFIX is deprecated.  Use the variables provided by the GNUInstallDirs module instead")
endif()
if(DEFINED ALSOFT_CONFIG)
    message(WARNING "ALSOFT_CONFIG is deprecated. Use ALSOFT_INSTALL_CONFIG instead")
endif()
if(DEFINED ALSOFT_HRTF_DEFS)
    message(WARNING "ALSOFT_HRTF_DEFS is deprecated. Use ALSOFT_INSTALL_HRTF_DATA instead")
endif()
if(DEFINED ALSOFT_AMBDEC_PRESETS)
    message(WARNING "ALSOFT_AMBDEC_PRESETS is deprecated. Use ALSOFT_INSTALL_AMBDEC_PRESETS instead")
endif()

if(MSVC)
    option(FORCE_STATIC_VCRT "Force /MT for static VC runtimes" OFF)
    if(FORCE_STATIC_VCRT)
        if(CMAKE_VERSION VERSION_GREATER_EQUAL 15.0)
            set(ALSOFT_STD_VERSION_PROPS ${ALSOFT_STD_VERSION_PROPS}
                MSVC_RUNTIME_LIBRARY MultiThreaded$<$<CONFIG:Debug>:Debug>)
        else()
            foreach(flag_var
                CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
                CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO
                CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
                CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
                if(${flag_var} MATCHES "/MD")
                    string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
                endif()
            endforeach(flag_var)
        endif()
    endif()
endif()

if(WIN32 AND MINGW AND CMAKE_SIZEOF_VOID_P MATCHES "4")
    # HACK: 32-bit MinGW defines __STDCPP_DEFAULT_NEW_ALIGNMENT__ to 16, while
    # its default operator new relies on the system/Windows malloc that only
    # guarantees 8-byte alignment, leading to structs that need 16-byte
    # alignment being misaligned. This switch overrides that to assume only
    # 8-byte alignment from the default operator new.
    add_compile_options("$<$<COMPILE_LANGUAGE:CXX>:-faligned-new=8>")
endif()

# Setting ALSOFT_STL_HARDENING=None disables/minimizes STL hardening, doing
# only checks required by the standard (or can't be disabled at all). Should
# really only be used where maximum performance is critical and the extra
# safety can be sacrificed.
#
# ALSOFT_STL_HARDENING=Performance enables some STL hardening, checking for more
# significant issues that can also be done "fast", that's easier to optimize
# away when unneeded and/or not become a bottleneck. This is generally
# considered fine for production use, and is the default here.
#
# ALSOFT_STL_HARDENING=Debug enables even more STL hardening, which has a much
# higher runtime cost for less benefit. It's not intended for production use.
set(ALSOFT_STL_HARDENING "Performance" CACHE STRING
    "Specifies the level of C++ STL hardening. None, Performance, Debug")
if(ALSOFT_STL_HARDENING STREQUAL "Default")
    message(NOTICE "STL hardening option \"${ALSOFT_STL_HARDENING}\" deprecated, please set \"Performance\"")
    set(ALSOFT_STL_HARDENING "Performance" CACHE STRING
        "Specifies the level of C++ STL hardening. None, Performance, Debug" FORCE)
endif()

check_cxx_symbol_exists(__GLIBCXX__ "version" HAVE_LIBSTDCXX)
check_cxx_symbol_exists(_LIBCPP_VERSION "version" HAVE_LIBCXX)
check_cxx_symbol_exists(_MSVC_STL_UPDATE "version" HAVE_MSSTL)
set(HARDENING_LEVEL "Default")
if(NOT (ALSOFT_STL_HARDENING STREQUAL ""))
    if(HAVE_LIBSTDCXX)
        if(ALSOFT_STL_HARDENING STREQUAL "Debug")
            add_compile_definitions("_GLIBCXX_DEBUG=1")
            set(HARDENING_LEVEL "Debug")
        elseif(ALSOFT_STL_HARDENING STREQUAL "None")
            # TODO: Not sure how to fully disable STL hardening with libstdc++,
            # aside from not defining anything and using the compiler's
            # default. _GLIBCXX_NO_ASSERTIONS can explicitly disable the
            # hardening assertions, but not all STL debugging functionality.
            add_compile_definitions("_GLIBCXX_NO_ASSERTIONS=1")
            set(HARDENING_LEVEL "None")
        else()
            if(NOT (ALSOFT_STL_HARDENING STREQUAL "Performance"))
                message(NOTICE "Unsupported STL hardening option \"${ALSOFT_STL_HARDENING}\", using Performance")
            endif()
            add_compile_definitions("_GLIBCXX_ASSERTIONS=1")
            set(HARDENING_LEVEL "Performance")
        endif()
    elseif(HAVE_LIBCXX)
        if(ALSOFT_STL_HARDENING STREQUAL "Debug")
            add_compile_definitions("_LIBCPP_HARDENING_MODE=_LIBCPP_HARDENING_MODE_DEBUG")
            set(HARDENING_LEVEL "Debug")
        elseif(ALSOFT_STL_HARDENING STREQUAL "None")
            add_compile_definitions("_LIBCPP_HARDENING_MODE=_LIBCPP_HARDENING_MODE_NONE")
            set(HARDENING_LEVEL "None")
        else()
            if(NOT (ALSOFT_STL_HARDENING STREQUAL "Performance"))
                message(NOTICE "Unsupported STL hardening option \"${ALSOFT_STL_HARDENING}\", using Performance")
            endif()
            add_compile_definitions("_LIBCPP_HARDENING_MODE=_LIBCPP_HARDENING_MODE_FAST")
            set(HARDENING_LEVEL "Performance")
        endif()
    elseif(HAVE_MSSTL)
        # MSVC doesn't seem to have anything more than an on/off switch for STL
        # hardening, so Debug and Performance are the same here.
        if(ALSOFT_STL_HARDENING STREQUAL "Debug")
            add_compile_definitions("_MSVC_STL_HARDENING=1")
            set(HARDENING_LEVEL "Enabled")
        elseif(ALSOFT_STL_HARDENING STREQUAL "None")
            add_compile_definitions("_MSVC_STL_HARDENING=0")
            set(HARDENING_LEVEL "None")
        else()
            if(NOT (ALSOFT_STL_HARDENING STREQUAL "Performance"))
                message(NOTICE "Unsupported STL hardening option \"${ALSOFT_STL_HARDENING}\", using Performance")
            endif()
            add_compile_definitions("_MSVC_STL_HARDENING=1")
            set(HARDENING_LEVEL "Enabled")
        endif()
    endif()
endif()

# Work out whether C++20 modules are supported. Currently only works with CMake
# 3.28+ and the Ninja or VS 17 2022 generator, along with GCC 15+, Clang 17+,
# or MSVC 14.34+. Unfortunately CMake doesn't provide any check to tell whether
# it supports modules with the given generator and compiler, so we have to do a
# check ourselves (which is far less inclusive and more pessimistic than what
# it can actually do, especially as CMake continues to update and improve).
option(ALSOFT_ENABLE_MODULES "Enable use of C++20 modules when supported" ON)
set(HAVE_CXXMODULES FALSE)
if(ALSOFT_ENABLE_MODULES)
    if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.28 AND (CMAKE_GENERATOR STREQUAL "Ninja"
            OR CMAKE_GENERATOR STREQUAL "Visual Studio 17 2022"))
        if((CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 17.0)
            OR (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 15.0)
            OR (CMAKE_CXX_COMPILER_ID STREQUAL "MSVC" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 14.34))
            message(STATUS "C++20 modules enabled using ${CMAKE_CXX_COMPILER_ID} compiler v${CMAKE_CXX_COMPILER_VERSION} (CMake ${CMAKE_VERSION}, ${CMAKE_GENERATOR} generator)")
            set(HAVE_CXXMODULES TRUE)
        else()
            message(NOTICE "C++20 modules not supported with ${CMAKE_CXX_COMPILER_ID} compiler v${CMAKE_CXX_COMPILER_VERSION}")
        endif()
    else()
        message(NOTICE "C++20 modules not supported with ${CMAKE_GENERATOR} on CMake ${CMAKE_VERSION}")
    endif()
endif()


add_subdirectory(fmt-11.2.0 EXCLUDE_FROM_ALL)


set(CPP_DEFS ) # C pre-processor, not C++
set(INC_PATHS )
set(C_FLAGS )
set(LINKER_FLAGS )
set(LINKER_FLAGS_DEBUG )
set(LINKER_FLAGS_RELEASE )
set(EXTRA_LIBS )

if(WIN32)
    set(CPP_DEFS ${CPP_DEFS} _WIN32 NOMINMAX WIN32_LEAN_AND_MEAN)
    if(MINGW)
        set(CPP_DEFS ${CPP_DEFS} __USE_MINGW_ANSI_STDIO)
    endif()

=== utils/alsoft-config/CMakeLists.txt ===
project(alsoft-config)

if(Qt6Widgets_FOUND)
    qt6_wrap_ui(UIS  mainwindow.ui)

    qt6_wrap_cpp(MOCS  mainwindow.h)

    add_executable(alsoft-config
        main.cpp
        mainwindow.cpp
        mainwindow.h
        verstr.cpp
        verstr.h
        ${UIS} ${RSCS} ${TRS} ${MOCS})
    target_link_libraries(alsoft-config PUBLIC Qt6::Widgets PRIVATE alsoft.common)
    target_include_directories(alsoft-config PRIVATE "${alsoft-config_BINARY_DIR}"
        "${OpenAL_BINARY_DIR}")
    target_compile_definitions(alsoft-config PRIVATE QT_NO_KEYWORDS)
    if(TARGET alsoft.build_version)
        add_dependencies(alsoft-config alsoft.build_version)
    endif()
endif()

=== debian/changelog ===
openal-soft (1:1.25.0-1) unstable; urgency=medium

  * Update debian/watch file to version 5
  * New upstream version 1.25.0
    + Builds fine with libsdl3-dev installed (Closes: #1111643)
  * Add myself to Uploaders
  * Update debian/copyright, fix license blurbs
  * Debian Bookworm requires SSE2 support in i386 base line, so drop
    explicitly disabling this instruction set
  * Add qt6-base-dev to Build-Depends, build and install alsoft-config
    (Closes: #1056255)
  * Remove redundant RRR: no
  * Stop manpages referring to non-existent Texinfo manuals
  * Add dh-sequence-dlopenlibdeps to Build-Depends, remove
    dh_shlibdeps quirk
  * Clean up and simplify debian/rules

 -- Fabian Greffrath <fabian@debian.org>  Tue, 23 Dec 2025 10:28:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
  Bruno "Fuddl" Kleinert <fuddl@tauware.de>,
  Reinhard Tartler <siretart@tauware.de>,
  Bret Curtis <psi29a@gmail.com>,
+ Fabian Greffrath <fabian@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-dlopenlibdeps,
  cmake,
  libasound2-dev [linux-any],
  libdbus-1-dev [linux-any],
@@ -15,12 +17,12 @@
  libpulse-dev,
  libsndio-dev,
  portaudio19-dev,
+ qt6-base-dev,
 Standards-Version: 4.7.2
 Section: libs
 Vcs-Git: https://salsa.debian.org/games-team/openal-soft.git
 Vcs-Browser: https://salsa.debian.org/games-team/openal-soft
 Homepage: https://github.com/kcat/openal-soft
-Rules-Requires-Root: no
 X-Style: black
 
 Package: libopenal-dev
@@ -46,12 +48,13 @@
  ${misc:Pre-Depends},
 Depends:
  libopenal-data (= ${source:Version}),
+ ${dlopen:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- ${shlibs:Recommends},
+ ${dlopen:Recommends},
 Suggests:
- ${shlibs:Suggests},
+ ${dlopen:Suggests},
 Description: Software implementation of the OpenAL audio API (shared library)
  OpenAL, the Open Audio Library, is a joint effort to create an open,
  vendor-neutral, cross-platform API for interactive, primarily spatialized

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CMAKE_OPTIONS = \
		-DALSOFT_UTILS=ON \
		-DALSOFT_EXAMPLES=OFF \
		-DALSOFT_TESTS=OFF \
		-DALSOFT_UPDATE_BUILD_VERSION=OFF

ifeq ($(DEB_HOST_ARCH_CPU),i386)
DEB_CMAKE_OPTIONS += -DALSOFT_CPUEXT_SSE3=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_OPTIONS)

execute_after_dh_auto_install:
	install -d debian/tmp/etc/openal
	install -m644 \
		debian/tmp/usr/share/openal/alsoftrc.sample \
		debian/tmp/etc/openal/alsoft.conf

=== debian/watch ===
Version: 5
Template: GitHub
Owner: kcat
Project: openal-soft

## openal-soft 1.25.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
 endif()
 
 project(OpenAL
-    VERSION 1.25.0
+    VERSION 1.25.1
     LANGUAGES C CXX)
 
 if(NOT CMAKE_BUILD_TYPE)

=== debian/changelog ===
openal-soft (1:1.25.1-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Merge from Debian unstable. Remaining changes:
    - Don't depend on qt6 on i386

 -- Fabian Greffrath <fabian@debian.org>  Fri, 06 Feb 2026 12:09:37 +0100

openal-soft (1:1.25.1-1) unstable; urgency=medium

  * New upstream version 1.25.1
  * Bump Standards-Version to 4.7.2, remove redundant Priority field
  * Update Debian packaging copyright year

 -- Fabian Greffrath <fabian@debian.org>  Fri, 23 Jan 2026 10:45:53 +0100

openal-soft (1:1.25.0-1ubuntu3) resolute; urgency=medium

  * Don't depend on qt6 on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 Jan 2026 11:15:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: openal-soft
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Bruno "Fuddl" Kleinert <fuddl@tauware.de>,
@@ -8,6 +7,7 @@
  Fabian Greffrath <fabian@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-exec,
  dh-sequence-dlopenlibdeps,
  cmake,
  libasound2-dev [linux-any],
@@ -17,8 +17,8 @@
  libpulse-dev,
  libsndio-dev,
  portaudio19-dev,
- qt6-base-dev,
-Standards-Version: 4.7.2
+ qt6-base-dev [!i386],
+Standards-Version: 4.7.3
 Section: libs
 Vcs-Git: https://salsa.debian.org/games-team/openal-soft.git
 Vcs-Browser: https://salsa.debian.org/games-team/openal-soft

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DEB_CMAKE_OPTIONS = \
-		-DALSOFT_UTILS=ON \
-		-DALSOFT_EXAMPLES=OFF \
-		-DALSOFT_TESTS=OFF \
-		-DALSOFT_UPDATE_BUILD_VERSION=OFF
+	-DALSOFT_UTILS=ON \
+	-DALSOFT_EXAMPLES=OFF \
+	-DALSOFT_TESTS=OFF \
+	-DALSOFT_UPDATE_BUILD_VERSION=OFF
 
 ifeq ($(DEB_HOST_ARCH_CPU),i386)
 DEB_CMAKE_OPTIONS += -DALSOFT_CPUEXT_SSE3=OFF
